
Infrastructure - Task #2884

Story # 2720 (Closed): KNB, LTER, PISCO, ESA, SANPARKS roll out

Task # 2880 (Closed): SANParks MN upgrade

Upgrade dataknp server software

2012-06-08 18:16 - Ben Leinfelder

Status: Closed Start date: 2012-06-08

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Matt indicates there are OS upgrades pending on the SANParks server. These should be upgraded if not detrimental to Metacat

functioning.

History

#1 - 2012-06-08 23:32 - Jing Tao

I took a look:

jing@dataknp:~$ sudo apt-get upgrade

[sudo] password for jing:

Reading package lists... Done

Building dependency tree

Reading state information... Done

The following packages have been kept back:

landscape-common

The following packages will be upgraded:

apache2 apache2-mpm-worker apache2-utils apache2.2-bin apache2.2-common apparmor apparmor-utils apport apt apt-transport-https apt-utils at

base-files bsdutils byobu consolekit cron grub-common

grub-pc initscripts ldap-utils libapparmor-perl libapparmor1 libblkid1 libck-connector0 libcups2 libldap-2.4-2 libpam-ck-connector libparted0debian1

libplymouth2 libudev0 libuuid1 linux-firmware

mount ntpdate openssh-client openssh-server parted plymouth plymouth-theme-ubuntu-text procps python-apport python-apt python-lazr.restfulclient

python-problem-report python-smartpm

python-wadllib rsyslog slapd sysv-rc sysvinit-utils tzdata tzdata-java udev unattended-upgrades update-manager-core upstart util-linux uuid-runtime

w3m wpasupplicant xkb-data

62 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

Need to get 30.0MB of archives.

After this operation, 2,552kB of additional disk space will be used.

Do you want to continue [Y/n]? n

Abort.

The things may affect metacat are apache. But i don't think it will hurt metacat. Ben and Matt, can you take a look?

There is another thing -- who will do the update? We or Gavin? I am not sure the policy. If we do, just do this way -- "sudo apt-get update" or we have

another solution?
#2 - 2012-06-09 01:02 - Jing Tao

- Target version deleted (Sprint-2012.23-Block.3.4)

Here is the matt's response:

about the KNP server - we'll do the upgrade there

Gavin is not maintaining it now AFAIK

judith gave us the go-ahead

the only thing is to coordinate any outages with her so her staff isn't too inconvenienced

it should be fairly easy because of the time zoen difference

and also, don't forget to write down your changes in the sysadmin log that Gavin set up

i will first to send an email to judith to ask which time is most convenient to her.

that'll be great, thanks!

I would just suggest that you do the upgrade next week at say noon pacific time (which is late evening in South Africa)

okay

so it should be:

sudo apt-get update; apt-get upgrade

yeah, that works

So i will run this command at 12;00 PDT June 11, Monday:

sudo apt-get update; apt-get upgrade

#3 - 2012-06-13 20:50 - Jing Tao

- Status changed from New to Closed

the system was updated and reboot.
